#include <iostream>
#include "Client.h"

using namespace std;

struct Perso
{
    char nom[30];
    int vie;
    int mana;
};

int main()
{
    /// Initialisation
    cout << "Client :" << endl;
    Client lan("192.168.1.87", 9995);
    Perso guerrier;
    string nameInMain;

    /// Démarrage
    if (!lan.rendreUtilisable())
    {
        cout << "Problème d'innitiaisation des connexions." << endl;
        return 1;
    }

    ///Entrées
    //Nom
    cout << "Entrer le nom : ";
    getline(cin, nameInMain);
    for (unsigned int i(0); i<nameInMain.size() && i<29; i++)
        guerrier.nom[i] = nameInMain[i];
    guerrier.nom[29] = '\0';

    //Vie
    cout << "Entrer la vie : ";
    cin >> guerrier.vie;

    //Mana
    cout << "Entrer le mana : ";
    cin >> guerrier.mana;

    /// Echanges
    lan.envoyer(&guerrier, sizeof(Perso));
    lan.recevoir(&guerrier, sizeof(Perso));

    /// Presentation
    cout << "Nom : " << guerrier.nom << "\nVie : " << guerrier.vie << "\nMana : " << guerrier.mana << endl;

    ///Fin
    return 0;
}
