#ifndef REVISION_H
#define REVISION_H

#include <iostream>
#include <string>
#include <queue>
#include <fstream>
#include <cstdlib>
#include <ctime>

class Verb
{
    public:
        Verb( std::string mot[4] );

        void afficher( unsigned int hide );
        std::string get( unsigned int select );

    private:
        std::string m_mot[4];
};

class Revision
{
    public:
        Revision();
        virtual ~Revision();

        bool load( std::string file );// Renvoie succès ou echec
        void afficher();
        bool corriger( std::string saisie[3] );// Renvoie false si le test est terminé

    protected:
        unsigned int m_total;
        std::queue<Verb*> m_file;
        unsigned int m_select;
};

#endif // REVISION_H
